Bug 862934 - zerofree package out of date and does not support ext4
Summary: zerofree package out of date and does not support ext4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: zerofree
Version: el5
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-10-04 00:44 UTC by Mike Swanson
Modified: 2016-04-22 04:22 UTC (History)
2 users (show)

Fixed In Version: zerofree-1.0.3-6.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-22 04:22:22 UTC


Attachments (Terms of Use)
Patch (against 1.0.3) to use ext4 support on EL5 (772 bytes, text/plain)
2012-10-04 00:44 UTC, Mike Swanson
no flags Details

Description Mike Swanson 2012-10-04 00:44:02 UTC
Created attachment 621204 [details]
Patch (against 1.0.3) to use ext4 support on EL5

zerofree 1.0.3 has been released by upstream; in addition, the compiled package does not include support for ext4 which requires a small patch for EL5.

Supporting ext4 requires a make dependency on both e4fsprogs-devel and e2fsprogs-devel (I believe it's actually a bug e4fsprogs-devel doesn't depend on e2fsprogs-devel).

Comment 1 Richard W.M. Jones 2012-10-04 07:50:23 UTC
If my understanding is correct, then this patch is just
needed for EPEL 5, because of the peculiarities of the
"e4fsprogs" tools?

Comment 2 Richard W.M. Jones 2012-10-04 07:50:49 UTC
BTW if you are a Fedora packager, you might as well
apply for co-maintainership of this package.

Comment 3 Mike Swanson 2012-10-04 19:16:01 UTC
Yes, the patch is needed only for EPEL5, because of the e2fsprogs/e4fsprogs split; EPEL6 won't need any source changes.

I'm not a Fedora packager though I've made my own updated package for personal use, this is a fairly trivial one and I wouldn't mind co-maintaining it if that's still possible.

Comment 4 Robert Scheck 2016-04-05 10:42:21 UTC
Given I need zerofree with ext4 support, I requested co-maintainership now.

Comment 5 Fedora Update System 2016-04-05 23:43:40 UTC
zerofree-1.0.3-6.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-357cc321aa

Comment 6 Fedora Update System 2016-04-06 21:18:23 UTC
zerofree-1.0.3-6.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-357cc321aa

Comment 7 Fedora Update System 2016-04-22 04:22:20 UTC
zerofree-1.0.3-6.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.